"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useStateForPath = useStateForPath;
var React = _interopRequireWildcard(require("react"));
var _NavigationFocusedRouteStateContext = require("./NavigationFocusedRouteStateContext.js");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/**
 * Hook to get a minimal state representation for the current route.
 * The returned state can be used with `getPathFromState` to build a path.
 *
 * @returns Minimal state to build a path for the current route.
 */
function useStateForPath() {
  const state = React.useContext(_NavigationFocusedRouteStateContext.NavigationFocusedRouteStateContext);
  return state;
}
//# sourceMappingURL=useStateForPath.js.map